<!--
 .. File: stackrpms-thinkpad-p50s README
 .. Location: https://bgstack15.ddns.net/cgit/stackrpms-thinkpad-p50s/
 .. Author: bgstack15
 .. SPDX-License-Identifier: GPL-3.0
 .. Startdate: 2022-11-02-4 20:52
 .. Title: README for package Stackrpms Thinkpad P50s
 .. Package: stackrpms-thinkpad-p50s
 .. Purpose: Readme for Thinkpad P50s Stackrpms configuration project
 .. Usage: Readme
 .. History:
 .. Reference:
 .. Improve:
 .. Documentation: this
 -->

# Overview
This project, `/mnt/public/Support/Platforms/stackrpms-thinkpad-p50s/` holds a git repository of my package of useful settings for Thinkpad P50s systems, which include:

* ltb-018 Shiny
* ltb-020 Clone
* ltb-021 Copy
* ltb-022 Dupe
* ltb-023 Mundane

Some configurations include:

* Xmodmap, automatically applied by the provided fluxbox startup file
* Netmounts tray icon
* Vpn tray icon
* hwset customized for Thinkpad P50s
* Fluxbox settings available in /etc/stackrpms-thinkpad-p50s/. You can symlink them with:

    ln -sf /etc/stackrpms-thinkpad-p50s/fluxbox.keys ~/.fluxbox/keys
    ln -sf /etc/stackrpms-thinkpad-p50s/fluxbox.startup ~/.fluxbox/startup

# Using
Install this package, and symlink the fluxbox config files as seen above. Optionally, install those in the /etc/skel path for `.fluxbox/`.

# Success criteria
This project will be considered stable when the following are met:

* F1 Toggle audio mute button works
* F2, F3 Volume up/down buttons work
* F5, F6 Screen brightness up/down buttons work
* F8 toggle wireless network button works
* Calculator button initiates the context menu

# Building

    cd /mnt/public/Support/Platforms/ ; rm -f stackrpms-thinkpad-p50s-0.0.1.tar.gz ; tar -zcf stackrpms-thinkpad-p50s-0.0.1.tar.gz --exclude debian --exclude .git --exclude '.*.swp' stackrpms-thinkpad-p50s ; cd stackrpms-thinkpad-p50s/
    debuild -us -uc

# Changelog
2023-08-22 version 0.0.2 update fluxbox keys for Fn+F10 to toggle mic mute because Fn+F4 is blocked/used by something I cannot control.

2023-09-09 version 0.0.3 use correct amixer command for mic mute

2023-12-12 version 0.0.4
* Make fluxbox startup and keys files match bgconf (want#1)
* fluxbox.keys: use pulseaudio now on Devuan (want#2)
